<?xml version="1.0" encoding="$encoding" ?>
<document>

  <properties>
    <title>Dependencies</title>
  </properties>

  <body>
    <section name="Dependencies">
    #if ($project.dependencies.size() == 0)
      <p> 
        There are no dependencies for this project.  It is a standalone
        application that does not depend on any other project.
      </p>
    #else
      <p> 
        The following is a list of dependencies for this project.  These
        dependencies are required to compile and run the application:
      </p>               
      #foreach ($dep in $dependencyDescriber.Dependencies)         
        <subsection name="${dep.Id}">
          <table> 
            <tr>
              <th width="10%">Group ID</th>
              <td>${dep.GroupId}</td>
            </tr>
            <tr>
              <th>Artifact ID</th> 
              <td>${dep.ArtifactId}</td>
            </tr> 
            <tr>
             <th>Type</th>
             <td>${dep.Type}</td>
           </tr> 
           <tr>
             <th>Version</th>
             <td>${dep.Version}</td>
           </tr> 
           #if ($dep.Url)          
           <tr>
             <th>URL</th>
             <td><a href="${dep.Url}">${dep.Url}</a></td>
           </tr>        
           #end 
           #if ($dep.Description)
           <tr>
             <th>Description</th>
             <td>${dep.Description}</td>
           </tr>         
           #end
         </table> 
       </subsection>
     #end    
    #end 
  </section>
 </body>
</document>
